idle3_3.5.1-3_all.deb


Advertisement

Description

idle3 - IDE for Python using Tkinter (default version)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename idle3_3.5.1-3_all.deb
Package name idle3
Package version 3.5.1
Package release 3
Package architecture all
Package type deb
Category python
Homepage http://www.python.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 2.73 KB
Installed size 19.00 KB
IDLE is an Integrated Development Environment for Python.
IDLE is written using Tkinter and therefore quite platform-independent.
This package is a dependency package, which depends on Debian's default
Python 3 version (currently v3.5).

Alternatives

Package Version Architecture Repository
idle3_3.5.1-3_all.deb 3.5.1 all Ubuntu Main
idle3 - - -

Requires

Name Value
idle-python3.5 -
python3 >= 3.5.1-3
python3-tk -

Replaces

Name Value
python3 << 3.2.3-1~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package idle3_3.5.1-3_all.deb
Source Package python3-defaults

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install idle3 deb package:
    # sudo apt-get install idle3

Files

Path
/usr/bin/idle3
/usr/share/applications/idle3.desktop
/usr/share/doc/idle3
/usr/share/lintian/overrides/idle3
/usr/share/man/man1/idle3.1.gz
/usr/share/pixmaps/idle3.xpm

Changelog

2016-03-21 - Matthias Klose <doko@debian.org>
python3-defaults (3.5.1-3) unstable; urgency=medium
* Drop build dependency on python3.4.
* Bump standards and debhelper versions.
2016-02-22 - Matthias Klose <doko@debian.org>
python3-defaults (3.5.1-2) unstable; urgency=medium
* Drop Python 3.4 as a supported python3 version.
2016-01-11 - Scott Kitterman <scott@kitterman.com>
python3-defaults (3.5.1-1) unstable; urgency=medium
* Upload to unstable
[ Scott Kitterman ]
* Drop redundant supported/default version definitions in debpython/
version.py
[ Matthias Klose ]
* Bump version to 3.5.1.
* Stop shipping menu files.
2015-10-10 - Scott Kitterman <scott@kitterman.com>
python3-defaults (3.5.0-2) experimental; urgency=medium
* Update py3versions to list versions in a consistent order: default listed
last and non-default listed first in ascending order (Closes: #801376)
2015-10-05 - Scott Kitterman <scott@kitterman.com>
python3-defaults (3.5.0-1) experimental; urgency=medium
* Set python3.5 as the default python3 for testing in experimental
2015-10-11 - Scott Kitterman <scott@kitterman.com>
python3-defaults (3.4.3-7) unstable; urgency=medium
* Update py3versions to list versions in a consistent order: default listed
last and non-default listed first in ascending order (Closes: #801376)
2015-09-24 - Scott Kitterman <scott@kitterman.com>
python3-defaults (3.4.3-6) unstable; urgency=medium
* Upload to unstable
- Adds python3.5 as a supported python3 version in unstable
* Update idle3 desktop file to better support use from file managers such as
nautilus (Closes: #796125)
- Thanks to Pat Hooper for the patch
2015-06-27 - Scott Kitterman <scott@kitterman.com>
python3-defaults (3.4.3-5) experimental; urgency=medium
* Readd python3.5 as a supported version for experimental
2015-06-27 - Scott Kitterman <scott@kitterman.com>
python3-defaults (3.4.3-4) unstable; urgency=medium
* Upload to unstable
[ Matthias Klose ]
* Update README for python 3.4. Closes: #772545.
[ Scott Kitterman ]
* Drop python3.5 as a supported version for upload to unstable
2015-06-03 - Matthias Klose <doko@debian.org>
python3-defaults (3.4.3-2) experimental; urgency=medium
* Add python3.5 as a supported Python version.

See Also

Package Description
idle_2.7.11-1_all.deb IDE for Python using Tkinter (default version)
ieee-data_20150531.1_all.deb OUI and IAB listings
ifenslave_2.7ubuntu1_all.deb configure network interfaces for parallel routing (bonding)
ifupdown_0.8.10ubuntu1_amd64.deb high level tools to configure network interfaces
im-config_0.29-1ubuntu12_all.deb Input method configuration framework
imagemagick-6.q16_6.8.9.9-7ubuntu5_amd64.deb image manipulation programs -- quantum depth Q16
imagemagick-common_6.8.9.9-7ubuntu5_all.deb image manipulation programs -- infrastructure
imagemagick-doc_6.8.9.9-7ubuntu5_all.deb document files of ImageMagick
imagemagick_6.8.9.9-7ubuntu5_amd64.deb image manipulation programs -- binaries
indent-doc_2.2.11-4_all.deb Documentation for GNU indent
indent_2.2.11-4_amd64.deb C language source code formatting program
indicator-application_12.10.1+15.04.20150128-0ubuntu1_amd64.deb Application Indicators
indicator-appmenu_15.02.0+16.04.20151104-0ubuntu1_amd64.deb Indicator for application menus
indicator-bluetooth_0.0.6+16.04.20160214-0ubuntu1_amd64.deb System bluetooth indicator
indicator-datetime_15.10+16.04.20160406-0ubuntu1_amd64.deb Simple clock
Advertisement
Advertisement